LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Slackware > Slackware - Installation
User Name
Password
Slackware - Installation This forum is for the discussion of installation issues with Slackware.

Notices

Reply
 
Search this Thread
Old 03-13-2006, 11:38 PM   #1
gmorr
LQ Newbie
 
Registered: Mar 2006
Posts: 5

Rep: Reputation: 0
Question Problems compiling KDE (arts-3.5.1)


I am having two problems compiling arts.

The first is that it the configure script can't find libjpeg-6b even though I have libjpeg-6b-i386-4 showing in my /var/log/packages file. I even removed it and reinstalled it from the slack packages.

The second is that the configure script can't find glib-2.0. I can't find it in my packages file or in the slackware distribution but I do have a package called glib2-2.8.6-i486-1. Is this the same? I ran ldconfig and the configure script still can't find it.

I do have kde 3.5.1 installed (from the slackware distribution) and am getting a lot of errors including things crashing. Thanks for any help.
 
Old 03-14-2006, 12:19 AM   #2
Alien_Hominid
Senior Member
 
Registered: Oct 2005
Location: Lithuania
Distribution: Hybrid
Posts: 2,247

Rep: Reputation: 53
If I remember correctly, there must be something like ld.so.conf in /etc. Add your libjeg and glib libraries locations into it. Then run ldconfig.
 
Old 03-14-2006, 12:50 AM   #3
gmorr
LQ Newbie
 
Registered: Mar 2006
Posts: 5

Original Poster
Rep: Reputation: 0
libjpeg seems to be in /usr/lib. libglib-2.0 seems to be in /lib. Both paths are already in /etc/ld.so.conf and I ran ldconfig earlier.
 
Old 03-14-2006, 01:00 AM   #4
Alien_Hominid
Senior Member
 
Registered: Oct 2005
Location: Lithuania
Distribution: Hybrid
Posts: 2,247

Rep: Reputation: 53
Don't know, maybe it could be symlinks problem. If you manage to solve it, please post a sollution.
 
Old 03-19-2006, 08:37 PM   #5
gmorr
LQ Newbie
 
Registered: Mar 2006
Posts: 5

Original Poster
Rep: Reputation: 0
Smile

I fixed the glib-2.0 problem. I didn't have a "PKG_CONFIG_PATH" set in my environment and pkgconfig couldn't find the glib-2.0.pc file.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
arts and dvd+cdrw combo problems in KDE 3.2 flakzeus Fedora 0 02-13-2004 08:45 AM
Problems Compiling KDE Teddy_Horse Linux - Software 3 10-06-2003 06:48 AM
Problems compiling KDE 3.1.3 hernanbadino Linux - Software 0 09-02-2003 03:22 AM
Compiling Arts-1.1 on Mandrake 9.0? harlom Linux - Software 17 01-24-2003 12:01 PM
Problems compiling kdelibs with kde 3.1 rc5 Null Linux - Software 11 12-10-2002 02:34 PM


All times are GMT -5. The time now is 10:11 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration